diff --git a/web/pgadmin/browser/tests/test_login.py b/web/pgadmin/browser/tests/test_login.py
index 0f0a30ed..d830dfbc 100644
--- a/web/pgadmin/browser/tests/test_login.py
+++ b/web/pgadmin/browser/tests/test_login.py
@@ -24,21 +24,24 @@ class LoginTestCase(BaseTestGenerator):
     scenarios = [
         # This test case validates the invalid/incorrect password
         ('TestCase for Checking Invalid_Password', dict(
-            email=(config_data['pgAdmin4_login_credentials']
-                   ['login_username']),
+            email=(
+                config_data['pgAdmin4_login_credentials']
+                ['login_username']),
             password=str(uuid.uuid4())[4:8],
             respdata='Invalid password')),
 
         # This test case validates the empty password field
         ('Empty_Password', dict(
-            email=(config_data['pgAdmin4_login_credentials']
-                   ['login_username']), password='',
+            email=(
+                config_data['pgAdmin4_login_credentials']
+                ['login_username']), password='',
             respdata='Password not provided')),
 
         # This test case validates blank email field
         ('Empty_Email', dict(
-            email='', password=(config_data['pgAdmin4_login_credentials']
-                                ['login_password']),
+            email='', password=(
+                config_data['pgAdmin4_login_credentials']
+                ['login_password']),
             respdata='Email not provided')),
 
         # This test case validates empty email and password
@@ -49,8 +52,9 @@ class LoginTestCase(BaseTestGenerator):
         # This test case validates the invalid/incorrect email id
         ('Invalid_Email', dict(
             email=str(uuid.uuid4())[1:8] + '@xyz.com',
-            password=(config_data['pgAdmin4_login_credentials']
-                      ['login_password']),
+            password=(
+                config_data['pgAdmin4_login_credentials']
+                ['login_password']),
             respdata='Specified user does not exist')),
 
         # This test case validates invalid email and password
@@ -62,15 +66,15 @@ class LoginTestCase(BaseTestGenerator):
         # This test case validates the valid/correct credentials and allow user
         # to login pgAdmin 4
         ('Valid_Credentials', dict(
-            email=(config_data[
-                'pgAdmin4_login_credentials'
-            ]['login_username']),
-            password=(config_data[
-                'pgAdmin4_login_credentials'
-            ]['login_password']),
-            respdata='%s' % config_data['pgAdmin4_login_credentials']
-            ['login_username'])
-         )
+            email=(
+                config_data['pgAdmin4_login_credentials']
+                ['login_username']),
+            password=(
+                config_data['pgAdmin4_login_credentials']
+                ['login_password']),
+            respdata='Gravatar image for %s' %
+                     config_data['pgAdmin4_login_credentials']
+                     ['login_username']))
     ]
 
     @classmethod
diff --git a/web/pgadmin/browser/tests/test_version_in_range.py b/web/pgadmin/browser/tests/test_version_in_range.py
index 548b2a0a..4d9ca76d 100644
--- a/web/pgadmin/browser/tests/test_version_in_range.py
+++ b/web/pgadmin/browser/tests/test_version_in_range.py
@@ -21,43 +21,36 @@ class VersionInRangeTestCase(BaseTestGenerator):
     scenarios = [
         (
             'TestCase for Validating pgversion 8.23 and min_version is 91000, '
-            'should not show',
-            dict(
+            'it should not show', dict(
                 sversion=82300,
                 min_version=90100,
                 max_version=1000000000,
                 scenario=2
-            )
-        ),
+            )),
         (
-            'TestCase for Validating pgversion 9.2 and should show by default',
-            dict(
+            'TestCase for Validating pgversion 9.2, '
+            'it should show by default', dict(
                 sversion=90200,
                 min_version=0,
                 max_version=1000000000,
                 scenario=1
-            )
-        ),
+            )),
         (
             'TestCase for Validating pgversion 9.2 and min/max are None, '
-            'should show by default',
-            dict(
+            'it should show by default', dict(
                 sversion=90200,
                 min_version=None,
                 max_version=None,
                 scenario=1
-            )
-        ),
+            )),
         (
-            'TestCase for Validating pgversion 9.6 and max is lower, should '
-            'not show',
-            dict(
+            'TestCase for Validating pgversion 9.6 and max is lower, '
+            'it should not show', dict(
                 sversion=90600,
                 min_version=None,
                 max_version=90400,
                 scenario=2
-            )
-        )
+            ))
     ]
 
     @classmethod
@@ -74,13 +67,17 @@ class VersionInRangeTestCase(BaseTestGenerator):
     def test_result_is_true(self):
         self.assertTrue(
             is_version_in_range(
-                self.sversion, self.min_version, self.max_version
+                self.sversion,
+                self.min_version,
+                self.max_version
             )
         )
 
     def test_result_is_false(self):
         self.assertFalse(
             is_version_in_range(
-                self.sversion, self.min_version, self.max_version
+                self.sversion,
+                self.min_version,
+                self.max_version
             )
         )
diff --git a/web/pgadmin/browser/utils.py b/web/pgadmin/browser/utils.py
index 7448a8a5..df6758d5 100644
--- a/web/pgadmin/browser/utils.py
+++ b/web/pgadmin/browser/utils.py
@@ -13,11 +13,11 @@ from abc import abstractmethod
 
 import flask
 from flask import render_template, current_app
-from flask_babel import gettext
 from flask.views import View, MethodViewType, with_metaclass
-from pgadmin.utils.ajax import make_json_response, precondition_required
+from flask_babel import gettext
 
 from config import PG_DEFAULT_DRIVER
+from pgadmin.utils.ajax import make_json_response, precondition_required
 
 
 def is_version_in_range(sversion, min_ver, max_ver):
@@ -64,18 +64,19 @@ class PGChildModule(object):
                 return False
         sversion = getattr(manager, 'sversion', None)
 
-        if (sversion is None or not isinstance(sversion, int)):
+        if sversion is None or not isinstance(sversion, int):
             return False
 
         assert (self.server_type is None or isinstance(self.server_type, list))
 
         if self.server_type is None or manager.server_type in self.server_type:
-            return is_version_in_range(sversion, self.min_gpdbver
-                                       if manager.server_type == 'gpdb'
-                                       else self.min_ver,
-                                       self.max_gpdbver
-                                       if manager.server_type == 'gpdb'
-                                       else self.max_ver)
+            min_server_version = self.min_ver
+            max_server_version = self.max_ver
+            if manager.server_type == 'gpdb':
+                min_server_version = self.min_gpdbver
+                max_server_version = self.max_gpdbver
+            return is_version_in_range(sversion, min_server_version,
+                                       max_server_version)
 
         return False
 
@@ -205,35 +206,38 @@ class NodeView(with_metaclass(MethodViewType, View)):
         return has_args, has_id and has_args
 
     def dispatch_request(self, *args, **kwargs):
-        meth = flask.request.method.lower()
-        if meth == 'head':
-            meth = 'get'
+        http_method = flask.request.method.lower()
+        if http_method == 'head':
+            http_method = 'get'
 
         assert self.cmd in self.operations, \
-            "Unimplemented command ({0}) for {1}".format(
+            'Unimplemented command ({0}) for {1}'.format(
                 self.cmd,
                 str(self.__class__.__name__)
             )
 
         has_args, has_id = self.check_args(**kwargs)
 
-        assert (self.cmd in self.operations and
-                (has_id and len(self.operations[self.cmd]) > 0 and
-                 meth in self.operations[self.cmd][0]) or
-                (not has_id and len(self.operations[self.cmd]) > 1 and
-                 meth in self.operations[self.cmd][1]) or
-                (len(self.operations[self.cmd]) > 2 and
-                 meth in self.operations[self.cmd][2])), \
-            "Unimplemented method ({0}) for command ({1}), which {2} an id"\
-            .format(
-                meth, self.cmd,
-                'requires' if has_id else 'does not require'
-            )
-
-        meth = self.operations[self.cmd][0][meth] if has_id else \
-            self.operations[self.cmd][1][meth] \
-            if has_args and meth in self.operations[self.cmd][1] \
-            else self.operations[self.cmd][2][meth]
+        assert (
+            self.cmd in self.operations and
+            (has_id and len(self.operations[self.cmd]) > 0 and
+             http_method in self.operations[self.cmd][0]) or
+            (not has_id and len(self.operations[self.cmd]) > 1 and
+             http_method in self.operations[self.cmd][1]) or
+            (len(self.operations[self.cmd]) > 2 and
+             http_method in self.operations[self.cmd][2])
+        ), \
+            'Unimplemented method ({0}) for command ({1}), which {2} ' \
+            'an id'.format(http_method,
+                           self.cmd,
+                           'requires' if has_id else 'does not require')
+        meth = None
+        if has_id:
+            meth = self.operations[self.cmd][0][http_method]
+        elif has_args and http_method in self.operations[self.cmd][1]:
+            meth = self.operations[self.cmd][1][http_method]
+        else:
+            meth = self.operations[self.cmd][2][http_method]
 
         method = getattr(self, meth, None)
 
@@ -242,7 +246,7 @@ class NodeView(with_metaclass(MethodViewType, View)):
                 status=406,
                 success=0,
                 errormsg=gettext(
-                    "Unimplemented method ({0}) for this url ({1})".format(
+                    'Unimplemented method ({0}) for this url ({1})'.format(
                         meth, flask.request.path)
                 )
             )
@@ -335,8 +339,10 @@ class PGChildNodeView(NodeView):
         nodes = []
         for module in self.blueprint.submodules:
             if isinstance(module, PGChildModule):
-                if manager is not None and \
-                        module.BackendSupported(manager, **kwargs):
+                if (
+                    manager is not None and
+                    module.BackendSupported(manager, **kwargs)
+                ):
                     nodes.extend(module.get_nodes(**kwargs))
             else:
                 nodes.extend(module.get_nodes(**kwargs))
